# Topic Extraction


# Quick Start
Follow the [getting started checklist](https://www.rev.ai/getting_started).


Version: v1
License: Rev AI Terms of Service

## Servers

Rev AI API
```
https://api.rev.ai
```

## Security

### AccessToken

Type: http
Scheme: bearer

## Download OpenAPI description

[Topic Extraction
](https://docs.rev.ai/_bundle/api/topic-extraction/reference.yaml)

## Jobs

### Submit Topic Extraction Job

 - [POST /topic_extraction/v1/jobs](https://docs.rev.ai/api/topic-extraction/reference/jobs/submittopicextractionjob.md): Starts an asynchronous job to extract topics from a transcript.
The transcript can be supplied through text as plain text or json as a rev.com transcript format

### Get List of Topic Extraction Jobs

 - [GET /topic_extraction/v1/jobs](https://docs.rev.ai/api/topic-extraction/reference/jobs/getlistoftopicextractionjobs.md): Gets a list of topic extraction jobs submitted within the last 30 days in reverse chronological order up to the provided limit number of jobs per call. Note: Jobs older than 30 days will not be listed. Pagination is supported via passing the last job id from a previous call into starting_after.

### Get Topic Extraction Job By Id

 - [GET /topic_extraction/v1/jobs/{id}](https://docs.rev.ai/api/topic-extraction/reference/jobs/gettopicextractionjobbyid.md): Returns information about a topic extraction job

### Delete Topic Extraction Job by Id

 - [DELETE /topic_extraction/v1/jobs/{id}](https://docs.rev.ai/api/topic-extraction/reference/jobs/deletetopicextractionjobbyid.md): Deletes a topic extraction job. All data related to the job will be permanently deleted. A job can only be deleted once it's completed (either with success or failure).

### Get Topic Extraction Result By Id

 - [GET /topic_extraction/v1/jobs/{id}/result](https://docs.rev.ai/api/topic-extraction/reference/jobs/gettopicextractionresultbyid.md): Returns the results for a completed topic extraction job.

